Skip to main content
GET
/
v1
/
agents
/
{agentId}
/
telephony
/
connectors
List all connectors for a project
curl --request GET \
  --url https://api.us.poly.ai/v1/agents/{agentId}/telephony/connectors \
  --header 'x-api-key: <api-key>'
{
  "connectors": [
    {
      "connectorId": "<string>",
      "name": "<string>",
      "accountId": "<string>",
      "projectId": "<string>",
      "clientEnv": "<string>",
      "variantId": "<string>",
      "asrLangCode": "<string>",
      "ttsLangCode": "<string>",
      "voiceName": "<string>",
      "disableHandoff": true
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

agentId
string
required

Response

Successful response

Every connector in the project.

connectors
object[]
required
Last modified on April 22, 2026